Mandriva Linux Security Advisory : boost (MDVSA-2008:032)

Medium Nessus Plugin ID 37818


The remote Mandriva Linux host is missing one or more security updates.


Tavis Ormandy and Will Drewry found that the bost library did not properly perform input validation on regular expressions. An attacker could exploit this by sening a specially crafted regular expression to an application linked against boost and cause a denial of service via an application crash.

The updated packages have been patched to correct this issue.


Update the affected packages.

Plugin Details

Severity: Medium

ID: 37818

File Name: mandriva_MDVSA-2008-032.nasl

Version: $Revision: 1.13 $

Type: local

Published: 2009/04/23

Modified: 2016/05/17

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 5

Temporal Score: 4.3

Vector: CVSS2#AV:N/AC:L/Au:N/C:N/I:N/A:P

Temporal Vector: CVSS2#E:ND/RL:OF/RC:ND

Vulnerability Information

CPE: p-cpe:/a:mandriva:linux:lib64boost1, p-cpe:/a:mandriva:linux:lib64boost1-devel, p-cpe:/a:mandriva:linux:lib64boost1-examples, p-cpe:/a:mandriva:linux:lib64boost1-static-devel, p-cpe:/a:mandriva:linux:libboost1, p-cpe:/a:mandriva:linux:libboost1-devel, p-cpe:/a:mandriva:linux:libboost1-examples, p-cpe:/a:mandriva:linux:libboost1-static-devel, cpe:/o:mandriva:linux:2007, cpe:/o:mandriva:linux:2007.1, cpe:/o:mandriva:linux:2008.0

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/Mandrake/release, Host/Mandrake/rpm-list

Exploit Available: false

Exploit Ease: No known exploits are available

Patch Publication Date: 2008/02/01

Reference Information

CVE: CVE-2008-0171, CVE-2008-0172

BID: 27325

MDVSA: 2008:032

CWE: 20